Subject: compiling wu-ftpd

From: Zeljko Rajic <[email-masked]>
Date: Thu, 23 Nov 1995 16:05:57 +0100 (MET)

Hello everybody !

I have got some problems compiling the wu-ftp daemon 2.4 on the OS Linux ! 
I have read the INSTALL file that tells what has to be done. So I have done
the following steps so far:

1. I changed the path-variables in the src/pathnames.h file so they fit to
my environment. Only exceptions are the variables _PATH_EXECPATH and
_PATH_PIDNAMES as I actually do not know what kind of paths this are. Do
this file get automatically created, or where can I get ftp-exec ?!

2. I started the "build lnx" command and got a lot of error messages, that
look like this:

make args are : 
make opts are : 

Linking Makefiles.

Making support library.
Makefile:13: *** missing separator.  Stop.

Making ftpd.
gcc -O -DDEBUG -I.. -I../support -I/usr/include/bsd -L../support   -c ftpd.c -o ftpd.o
In file included from ftpd.c:42:
config.h:25: syntax error before `typedef'
In file included from ftpd.c:46:
/usr/include/sys/stat.h:28: syntax error before `struct'
ftpd.c:227: parse error before `lostconn'
ftpd.c:227: warning: data definition has no type or storage class
ftpd.c:228: parse error before `randomsig'
ftpd.c:228: warning: data definition has no type or storage class
ftpd.c:229: parse error before `myoob'
ftpd.c:229: warning: data definition has no type or storage class
ftpd.c: In function `main':
ftpd.c:301: too few arguments to function `openlog'
ftpd.c:386: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:389: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:392: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:395: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:398: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:401: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:407: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:410: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:413: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:416: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:419: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:422: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:425: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:428: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:431: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:434: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:437: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:440: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:443: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:446: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:449: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:452: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:455: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:458: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:462: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c:469: warning: passing arg 2 of `__bsd_signal' from incompatible pointer type
ftpd.c: At top level:
ftpd.c:560: parse error before `randomsig'
ftpd.c:571: parse error before `lostconn'
ftpd.c: In function `pass':
ftpd.c:1002: warning: assignment makes integer from pointer without a cast
ftpd.c: In function `opt_string':
ftpd.c:1226: warning: comparison between pointer and integer
ftpd.c:1228: warning: comparison between pointer and integer
ftpd.c:1230: warning: comparison between pointer and integer
ftpd.c: In function `retrieve':
ftpd.c:1342: warning: comparison between pointer and integer
ftpd.c: At top level:
ftpd.c:2430: parse error before `myoob'
make: *** [ftpd.o] Error 1

Making ftpcount.
gcc -O -DDEBUG -I.. -I../support -I/usr/include/bsd -L../support -o ftpcount ftpcount.c vers.o -lsupport -lbsd
gcc: vers.o: No such file or directory
In file included from ftpcount.c:32:
config.h:25: syntax error before `typedef'
In file included from /usr/include/libio.h:32,
                 from /usr/include/stdio.h:34,
                 from ftpcount.c:34:
/usr/include/_G_config.h:23: syntax error before `typedef'
ftpcount.c: In function `parsetime':
ftpcount.c:98: warning: comparison between pointer and integer
ftpcount.c:107: warning: comparison between pointer and integer
ftpcount.c: In function `acl_getlimit':
ftpcount.c:159: warning: comparison between pointer and integer
ftpcount.c:162: warning: assignment makes integer from pointer without a cast
ftpcount.c: In function `main':
ftpcount.c:307: warning: comparison between pointer and integer
ftpcount.c:310: warning: assignment makes integer from pointer without a cast
make: *** [ftpcount] Error 1

Making ftpshut.
gcc -O -DDEBUG -I.. -I../support -I/usr/include/bsd -L../support -o ftpshut ftpshut.c vers.o -lsupport -lbsd
gcc: vers.o: No such file or directory
In file included from ftpshut.c:37:
config.h:25: syntax error before `typedef'
In file included from /usr/include/bsd/errno.h:5,
                 from ftpshut.c:39:
/usr/include/errno.h:30: syntax error before `extern'
ftpshut.c: In function `main':
ftpshut.c:188: warning: comparison between pointer and integer
ftpshut.c:191: warning: assignment makes integer from pointer without a cast
make: *** [ftpshut] Error 1

Making ckconfig.
gcc -O -DDEBUG -I.. -I../support -I/usr/include/bsd -L../support -o ckconfig ckconfig.c

Links to executables are in bin directory:
size: bin/ftpd: No such file or directory
size: bin/ftpcount: No such file or directory
size: bin/ftpshut: No such file or directory
size: bin/ftpwho: No such file or directory
text	data	bss	dec	hex	filename
4064   	4096   	0      	8160   	1fe0   	bin/ckconfig
Done

I would be very gratefull if anyone could help me solving this problem !

RaZe 	
<[email-masked]>